package hamster.kalah;

/**
 * Repraesentation eines Spielzugs beim Kalah-Spiel; ein Spielzug besteht dabei
 * aus der Angabe der entsprechenden Muldennummer
 * 
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (29.01.2006)
 * 
 */
public class Spielzug {

	private int mulde; // Nummer einer Mulde

	/**
	 * Initialisierung eines Spielzug-Objektes mit einer Muldenummer
	 * 
	 * @param muldeNummer
	 *            die Muldennummer, die den Spielzug repraesentiert
	 */
	public Spielzug(int muldeNummer) {
		this.mulde = muldeNummer;
	}

	/**
	 * liefert die Muldennummer des Spielzugs
	 * 
	 * @return die Muldennummer des Spielzugs
	 */
	public int liefereMulde() {
		return this.mulde;
	}
}
